<p>smiley works!</p>
<button style="margin-left: 10px;" (click)="face = 'disappointed'" class="btn btn-success">disappointed</button>
<button style="margin-left: 10px;" (click)="face = 'happy'" class="btn btn-success">happy</button>
<button style="margin-left: 10px;" (click)="face = 'neutral'" class="btn btn-success">neutral</button>
<button style="margin-left: 10px;" (click)="face = 'puzzled'" class="btn btn-success">puzzled</button>
<button style="margin-left: 10px;" (click)="face = 'sad'" class="btn btn-success">sad</button>
<button style="margin-left: 10px;" (click)="face = 'surprised'" class="btn btn-success">surprised</button>

<div [ngSwitch]="face">
  <img *ngSwitchCase="'disappointed'" src="assets/disappointed.png" alt="">
  <img *ngSwitchCase="'happy'" src="assets/happy.png" alt="">
  <img *ngSwitchCase="'neutral'" src="assets/neutral.png" alt="">
  <img *ngSwitchCase="'puzzled'" src="assets/puzzled.png" alt="">
  <img *ngSwitchCase="'sad'" src="assets/sad.png" alt="">
  <img *ngSwitchCase="'surprised'" src="assets/surprised.png" alt="">
</div>
